Die Aktuelle Version 7.1.22 stirbt wenn ein LDAP Search gemacht wird mit folgender Fehlermeldung im Apache error_log:

[Thu Oct 11 13:13:33.112041 2018] [core:notice] [pid 49989] AH00052: child pid 28695 exit signal Abort trap (6)
109654 Assertion failed: (LDAP_VALID( ld )), function ldap_set_option, file options.c, line 456.

Der Workaround ist eine alte Version als Apachemodul einzubinden, also unter /usr/local/etc/httpd/httpd.conf

#LoadModule php7_module /usr/local/opt/php@7.1/lib/httpd/modules/libphp7.so
LoadModule php7_module /usr/local/Cellar/php@7.1/7.1.20/lib/httpd/modules/libphp7.so  

Vorrausgesetzt du hast noch eine alte Version installiert.